> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getWebhookPublicKey

> The `getWebhookPublicKey` API retrieves the Active public key to verify incoming webhook signatures

### What it does:
- Returns the `Active` public key to verify the signature in a webhook header
- Returns a `Retiring` key after rotation so webhooks in transit can be verified

### Note:
- Keys should be stored to prevent unecessary calls to this endpoint
- Keys are identified by their unique keyID (`kid`)
- This endpoint should only be used when a webhook is recieved with a `kid` you haven't previously seen



## OpenAPI

````yaml get /webhooks/getWebhookPublicKey
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /webhooks/getWebhookPublicKey:
    get:
      tags: []
      summary: getWebhookPublicKey
      description: >-
        The `getWebhookPublicKey` API retrieves the Active public key to verify
        incoming webhook signatures


        ### What it does:

        - Returns the `Active` public key to verify the signature in a webhook
        header

        - Returns a `Retiring` key after rotation so webhooks in transit can be
        verified


        ### Note:

        - Keys should be stored to prevent unecessary calls to this endpoint

        - Keys are identified by their unique keyID (`kid`)

        - This endpoint should only be used when a webhook is recieved with a
        `kid` you haven't previously seen
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
              required:
                - method
            example:
              method: getWebhookPublicKey
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  webhookPublicKey:
                    type: array
                    items:
                      type: object
                      properties:
                        publicKey:
                          type: string
                        alg:
                          type: string
                        kid:
                          type: string
                        status:
                          type: string
                        verifyUntil:
                          type: string
                      required:
                        - publicKey
                        - alg
                        - kid
                        - status
                required:
                  - webhookPublicKey
              example:
                webhookPublicKey:
                  - publicKey: >-
                      -----BEGIN PUBLIC KEY-----

                      MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAx7X5aL03/0SX2yRkaQkY

                      o8n+wEGY0og5n9INWbDh/8Twv7dpWiYYhxTHOewYq4RNNu85vOeDP5I10k7NO0oU

                      ZHMpXtn03KL771bPo8TIhEmGkjSkCicf3czFpJ//MVS2wZbvy0Lq0lor1Ubx35Q5

                      2OViygrfk9dC6yRkN64ggtKN+jTzq2vi4k7nNg9B6fmiC6N2FdY+g3xefTmtP47+

                      rg6e/NjQd+xQg/KhLnCYdfTowTlGo4Uo5n6jOdW8Q21qWfkBg1+E2tSVjOicuhhF

                      9YPHv9uln8T79hIMd3sw/L/Hj0VEhMzvVXjGt6XE4rDiiw73F/5HNpVWoYnAfno2

                      8wIDAQAB

                      -----END PUBLIC KEY-----
                    alg: RS256
                    kid: EF4F6093-3DFB-4BFB-AEF4-F45BAB72FA26
                    status: Active
                  - publicKey: >-
                      -----BEGIN PUBLIC KEY-----

                      MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAglTOVKUOsu1I9V4zOxN1

                      cPQSiFtcqI/J9pqNoUWYTbcSrbIIxUBswyEo8ALezg5uP9+a3OoeBatCLfvrocav

                      jf0R67qFnkmBfSafgqaY4f23oEFSPcBnWq/U5ULIA15nvq/HO2bXuai/Xw8Cj05/

                      2FXPTIPY6TJK1Lzzbec5H9XvTTb49cYQ8W2ZMrJsqIxa87jM6bxFYLobBpcWYgn1

                      EAa7lU7jMHWD7C54M+lb/UJII3ScnhTh1s4o/StOWJ19bdx9IZq3bNzP1JFQRUs1

                      eB1OaFHyX+GqYxxeoSJmRqwlZlq7EgCVHI+l7XaHHUxMN6NSo+UC+bCH7UkB3OBt

                      rQIDAQAB

                      -----END PUBLIC KEY-----
                    alg: RS256
                    kid: 5AAFD8C3-5323-4513-B202-1A2EB066EB26
                    status: Retiring
                    verifyUntil: '2026-06-19T02:42:32.467Z'
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````